org.eclipse.net4j.util.ui.actions

## Class LongRunningAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.net4j.util.ui.actions.SafeAction
        - - org.eclipse.net4j.util.ui.actions.LongRunningAction

- All Implemented Interfaces:
    IAction
  Direct Known Subclasses:
    ElementWizardAction

      public abstract class LongRunningAction
      extends SafeAction

  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `INTERACTIVE`

    - ### Fields inherited from interface org.eclipse.jface.action.IAction

      `AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LongRunningAction()`
    `LongRunningAction(IWorkbenchPage page)`
    `LongRunningAction(IWorkbenchPage page, java.lang.String text)`
    `LongRunningAction(IWorkbenchPage page, java.lang.String text, ImageDescriptor image)`
    `LongRunningAction(IWorkbenchPage page, java.lang.String text, int style)`
    `LongRunningAction(IWorkbenchPage page, java.lang.String text, java.lang.String toolTipText)`
    `LongRunningAction(IWorkbenchPage page, java.lang.String text, java.lang.String toolTipText, ImageDescriptor image)`
    `LongRunningAction(java.lang.String text)`
    `LongRunningAction(java.lang.String text, ImageDescriptor image)`
    `LongRunningAction(java.lang.String text, int style)`
    `LongRunningAction(java.lang.String text, java.lang.String toolTipText)`
    `LongRunningAction(java.lang.String text, java.lang.String toolTipText, ImageDescriptor image)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancel()`
    `protected void` | `checkCancelation(IProgressMonitor monitor)`
    `protected abstract void` | `doRun(IProgressMonitor progressMonitor)`
    `protected java.lang.String` | `getBundleID()`
    `Display` | `getDisplay()`
    `IWorkbenchPage` | `getPage()`
    `Shell` | `getShell()`
    `protected int` | `getTotalWork()` Deprecated. Not supported anymore.
    `IWorkbenchWindow` | `getWorkbenchWindow()`
    `protected void` | `preRun()`
    `protected void` | `safeRun()`
    `void` | `setPage(IWorkbenchPage page)`
    `protected void` | `setTotalWork(int totalWork)` Deprecated. Not supported anymore.

    - ### Methods inherited from class org.eclipse.net4j.util.ui.actions.SafeAction

      `run`

    - ### Methods inherited from class org.eclipse.jface.action.Action

      `convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

    - ### Methods inherited from class org.eclipse.jface.action.AbstractAction

      `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

    - ### Methods inherited from class org.eclipse.core.commands.common.EventManager

      `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page)

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page,
                                   java.lang.String text,
                                   java.lang.String toolTipText,
                                   ImageDescriptor image)

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page,
                                   java.lang.String text,
                                   ImageDescriptor image)

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page,
                                   java.lang.String text,
                                   java.lang.String toolTipText)

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page,
                                   java.lang.String text,
                                   int style)

    - #### LongRunningAction

          public LongRunningAction(IWorkbenchPage page,
                                   java.lang.String text)

    - #### LongRunningAction

          public LongRunningAction()

    - #### LongRunningAction

          public LongRunningAction(java.lang.String text,
                                   ImageDescriptor image)

    - #### LongRunningAction

          public LongRunningAction(java.lang.String text,
                                   int style)

    - #### LongRunningAction

          public LongRunningAction(java.lang.String text,
                                   java.lang.String toolTipText,
                                   ImageDescriptor image)

    - #### LongRunningAction

          public LongRunningAction(java.lang.String text,
                                   java.lang.String toolTipText)

    - #### LongRunningAction

          public LongRunningAction(java.lang.String text)

  - ### Method Detail

    - #### getPage

          public IWorkbenchPage getPage()

    - #### setPage

          public void setPage(IWorkbenchPage page)

    - #### getWorkbenchWindow

          public IWorkbenchWindow getWorkbenchWindow()

    - #### getDisplay

          public Display getDisplay()

      Since:
        2.0

    - #### getShell

          public Shell getShell()

      Overrides:
        `getShell` in class `SafeAction`

    - #### getTotalWork

          @Deprecated
          protected final int getTotalWork()

      Deprecated. Not supported anymore.

    - #### setTotalWork

          @Deprecated
          protected final void setTotalWork(int totalWork)

      Deprecated. Not supported anymore.

    - #### cancel

          protected final void cancel()

    - #### safeRun

          protected final void safeRun()
                                throws java.lang.Exception

      Specified by:
        `safeRun` in class `SafeAction`
      Throws:
        `java.lang.Exception`

    - #### preRun

          protected void preRun()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getBundleID

          protected java.lang.String getBundleID()

    - #### doRun

          protected abstract void doRun(IProgressMonitor progressMonitor)
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`
      Since:
        2.0

    - #### checkCancelation

          protected final void checkCancelation(IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html